# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Challenger < SBF::Client::TopLevelEntity
      module ModelType
        EVENT = 'event'
        TEAM = 'team'
        PARTICIPANT = 'participant'
        FUNDRAISER = 'fundraiser'
      end
    end
  end
end
