require 'stbaldricks/endpoints/communicate'
require 'stbaldricks/entities/lib/base'
require 'stbaldricks/entities/message'
require 'stbaldricks/entities/contact'

module SBF
  module Client
    class Communicate < SBF::Client::Message
      endpoint SBF::Client::CommunicateEndpoint

      action :categories
      action :years
      action :groups
      instance_action :compose
      action :contacts

      entity_collection_attr_accessor :to, 'SBF::Client::Contact'
    end
  end
end
