require 'stbaldricks/entities/lib/top_level'
require 'stbaldricks/entities/lib/default_cacheable'

module SBF
  module Client
    class Disease < SBF::Client::TopLevelEntity
      include Entities::DefaultCacheable

      actions DEFAULT_CRUD_ACTIONS
      blacklist_action :create
      blacklist_action :update
      blacklist_action :delete

      disallow_instantiation

      attr_accessor :id
      attr_accessor :name
      attr_accessor :description
      attr_reader :created_at
      attr_reader :modified_at
    end
  end
end
