require 'stbaldricks/entities/lib/top_level'
require 'stbaldricks/entities/document_library_category'

module SBF
  module Client
    class DocumentLibrary < SBF::Client::TopLevelEntity
      actions DEFAULT_CRUD_ACTIONS

      attr_accessor :id
      attr_accessor :type
      attr_accessor :title
      attr_accessor :description
      attr_accessor :url
      attr_accessor :media_storage_id
      attr_accessor :sort_order
      entity_attr_reader :category, 'SBF::Client::DocumentLibraryCategory', nil, true
    end
  end
end
