# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Donation < SBF::Client::TopLevelEntity
      module PaymentGateway
        NONE = 'none'
        UNKNOWN = 'unknown'
        BRAINTREE = 'braintree'
        PAYMENTSPRING = 'paymentspring'
      end
    end
  end
end
