# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Donation < SBF::Client::TopLevelEntity
      module PaymentType
        APPLEPAY = 'applepay'
        CASH = 'cash'
        CHECK = 'check'
        CREDIT_CARD = 'credit_card'
        FACEBOOK = 'facebook'
        GOOGLE_PAY = 'google_pay'
        MONEY_ORDER = 'money_order'
        PAYPAL = 'paypal'
        STORED = 'stored'
        STRIPE = 'stripe'
        UNKNOWN = 'unknown'
        WIRE_TRANSFER = 'wire_transfer'
      end
    end
  end
end
