# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Donation < SBF::Client::TopLevelEntity
      module RecipientType
        FUND = 'fund'
        EVENT = 'event'
        TEAM = 'team'
        PARTICIPANT = 'participant'
        FUNDRAISER = 'fundraiser'
        MEMORIAL = 'memorial'
        SBF_GENERAL_FUND = 'sbf_general_fund'
      end
    end
  end
end
