# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Donation < SBF::Client::TopLevelEntity
      module SpecialDonationType
        NOT_APPLICABLE = 'not_applicable'
        T_SHIRT = 't_shirt'
        WRISTBAND = 'wristband'
        LUCKY_CHARM = 'lucky_charm'
        GENERAL_EVENT = 'general_event'
        RAFFLE = 'raffle'
        AUCTION = 'auction'
        HAT_AND_SUNGLASSES = 'hat_and_sunglasses'
        INTERNATIONAL = 'int'
        INT_VI = 'int_vi'
        INT_UK = 'int_uk'
        INT_CA = 'int_ca'
        INT_BM = 'int_bm'
        INT_HK = 'int_hk'
        INT_SG = 'int_sg'
        NO_STATE = 'no_state'
        AL = 'AL'
        AK = 'AK'
        AZ = 'AZ'
        AR = 'AR'
        CA = 'CA'
        CO = 'CO'
        CT = 'CT'
        DC = 'DC'
        DE = 'DE'
        FL = 'FL'
        GA = 'GA'
        GU = 'GU'
        HI = 'HI'
        ID = 'ID'
        IL = 'IL'
        IN = 'IN'
        IA = 'IA'
        KS = 'KS'
        KY = 'KY'
        LA = 'LA'
        ME = 'ME'
        MD = 'MD'
        MA = 'MA'
        MI = 'MI'
        MN = 'MN'
        MS = 'MS'
        MO = 'MO'
        MT = 'MT'
        NE = 'NE'
        NV = 'NV'
        NH = 'NH'
        NJ = 'NJ'
        NM = 'NM'
        NY = 'NY'
        NC = 'NC'
        ND = 'ND'
        OH = 'OH'
        OK = 'OK'
        OR = 'OR'
        PA = 'PA'
        PR = 'PR'
        RI = 'RI'
        SC = 'SC'
        SD = 'SD'
        TN = 'TN'
        TX = 'TX'
        UT = 'UT'
        VT = 'VT'
        VA = 'VA'
        WA = 'WA'
        WV = 'WV'
        WI = 'WI'
        WY = 'WY'
      end
    end
  end
end
