# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Event < SBF::Client::TopLevelEntity
      module FundRelationshipType
        NO_ASSOCIATION = 'no_association'
        INDIRECT_ONE = 'indirect_one'
        INDIRECT_MULTIPLE = 'indirect_multiple'
        DIRECT = 'direct'
        DIRECT_BUT_LOCKED = 'direct_but_locked'
      end
    end
  end
end
