# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Event < SBF::Client::TopLevelEntity
      module HowCreated
        WEBSITE = 'website'
        ADMIN_CONTROL_PANEL = 'admin_control_panel'
        ADMIN_IMPORT = 'admin_import'
        LEGACY = 'legacy'
      end
    end
  end
end
