# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class EventApplication < SBF::Client::TopLevelEntity
      module Status
        NEW = 'new'
        REACHED_OUT = 'reached_out'
        CREATED_EVENT = 'created_event'
        CREATED_PARTICIPANT = 'created_participant'
        CREATED_TEAM = 'created_team'
        CREATED_FUNDRAISER = 'created_fundraiser'
        NO_CONVERSION = 'no_conversion'
        CONNECTED = 'connected'
        DUPLICATE = 'duplicate'
        CREATED_DONOR = 'created_donor'
        NEXT_YEAR = 'next_year'
        FINALIZING = 'finalizing'
        CREATED_MEMORIAL = 'created_memorial'
      end
    end
  end
end
