require 'stbaldricks/entities/lib/base'

module SBF
  module Client
    class FundraisingPage < SBF::Client::BaseEntity
      attr_accessor :is_enabled
      attr_accessor :custom_url_segment
      attr_reader :url

      HTTP_REGEX = %r{^https?://}.freeze

      def url_with_scheme
        url.insert(0, 'https:') unless url.empty? || HTTP_REGEX.match(url)
        url
      end
    end

    class WebPage < SBF::Client::FundraisingPage; end
  end
end
