require 'stbaldricks/entities/lib/base'

module SBF
  module Client
    class OptOutSettings < SBF::Client::BaseEntity
      attr_accessor :email_activity, :email_members_communication, :email_mass_online, :email_mass_print, :email_reply, :email_contact_us

      # Setting Types
      NOTIFICATION_TYPE = 1
      EMAIL_TYPE = 2

      # Settings
      WEBSITE_ACTIVITY = 1
      CONTACT_US = 20
      ONLINE_MASS_MAIL = 23
      PRINT_MASS_MAIL = 24
      REPLY = 26
      MEMBERS_COMMUNICATION = 28
    end
  end
end
