require 'stbaldricks/entities/lib/base'
require 'stbaldricks/entities/lib/cacheable'
require 'stbaldricks/entities/lib/default_cacheable'

module SBF
  module Client
    class ThirdPartyMedia < SBF::Client::BaseEntity
      include Entities::DefaultCacheable

      module Type
        YOUTUBE = 'youtube'.freeze
        VIMEO = 'vimeo'.freeze
        FACEBOOK = 'facebook'.freeze
        TWITCH = 'twitch'.freeze
      end

      attr_accessor :id
      attr_accessor :type
      attr_accessor :identifier
      attr_accessor :title
      attr_accessor :caption
    end
  end
end
