require 'stbaldricks/endpoints/newsletter_recipient'
require 'stbaldricks/entities/lib/top_level'
require 'stbaldricks/entities/person'

module SBF
  module Client
    class NewsletterRecipient < SBF::Client::TopLevelEntity
      endpoint SBF::Client::NewsletterRecipientEndpoint
      action :subscribe
      action :unsubscribe
      instance_action :subscribe
      instance_action :unsubscribe

      attr_accessor :email_address, :first_name, :last_name
    end
  end
end
