# frozen_string_literal: true

module SBF
  module Client
    module LeagueStatus
      NOT_APPLICABLE = 'not_applicable'
      SQUIRE = 'squire'
      KNIGHT = 'knight'
      KNIGHT_COMMANDER = 'knight_commander'
      CRUSADER = 'crusader'
      BARON = 'baron'

      # Modifying this array has a direct affect the person entity and its league status methods
      def self.to_a
        [NOT_APPLICABLE, SQUIRE, KNIGHT, KNIGHT_COMMANDER, CRUSADER, BARON]
      end
    end
  end
end
