# frozen_string_literal: true

module SBF
  module Client
    module TopLevelCategoryType
      FUNDRAISING_TOOLBOX = 'Fundraising Toolbox'
      VEO_AND_CORE_COMMITTEE = 'VEO & Core Committee'
      PROMOTE_YOUR_EVENT = 'Promote Your Event'
      DAY_OF_EVENT = 'Day of Event'
      DO_WHAT_YOU_WANT = 'Do What You Want'
      ON_DEMAND_VIDEOS = 'On-Demand Videos'

      @list = {
        FUNDRAISING_TOOLBOX => 'fundraising_toolbox',
        VEO_AND_CORE_COMMITTEE => 'veo_and_core_committee',
        PROMOTE_YOUR_EVENT => 'promote_your_event',
        DAY_OF_EVENT => 'day_of_event',
        DO_WHAT_YOU_WANT => 'do_what_you_want',
        ON_DEMAND_VIDEOS => 'on_demand_videos'
      }.freeze

      class << self
        attr_reader :list
      end
    end
  end
end
