require 'stbaldricks/endpoints/lib/entity'

module SBF
  module Client
    class KidHonorEndpoint < EntityEndpoint
      def delete(params)
        response = SBF::Client::Api::Request.post_request("#{base_uri}/delete", params)

        error = SBF::Client::ErrorEntity.new(JSON.parse(response.body).symbolize!) unless ok?(response)

        SBF::Client::Api::Response.new(http_code: response.code, data: nil, error: error)
      end
    end
  end
end
