require 'active_support/concern'

module DonationRecipientConcern
  extend ActiveSupport::Concern

  def donation_recipient_url
    donate_url = "/donate/#{model_name.element}/#{id}"
    donate_url << "/#{event_year}" if respond_to?(:event_year)
    donate_url
  end
end
