# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Donation < SBF::Client::TopLevelEntity
      module DonorType
        INDIVIDUAL = 'individual'
        BUSINESS = 'business'
        ORGANIZATION_FOUNDATION = 'foundation'
      end
    end
  end
end
