# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Donation < SBF::Client::TopLevelEntity
      module HowCreated
        WEBSITE = 'website'
        ADMIN_IMPORT = 'admin_import'
        ADMIN_CONTROL_PANEL = 'admin_control_panel'
        SUBMIT_CASH = 'submit_cash'
        MOBILE = 'mobile'
        PARTICIPANT_REGISTRATION = 'participant_registration'
        FUNDRAISER_REGISTRATION = 'fundraiser_registration'
        FAST_DONATION = 'fast_donation'
        FAST_REGISTRATION = 'fast_registration'
        RECURRING_GIFTS = 'recurring'
        GIVE_ONCE = 'give_once'
        DONATE = 'donate'
        PAYMENT_SPRING_APP = 'payment_spring_app'
        FACEBOOK_FUNDRAISER = 'facebook_fundraiser'
      end
    end
  end
end
