# frozen_string_literal: true

require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class Event < SBF::Client::TopLevelEntity
      module SubType
        NONE = 'none'
        VIRTUAL = 'virtual'
        CAMPUS = 'campus'
        COMMUNITY = 'community'
        CORPORATE = 'corporate'
        SCHOOL = 'school'
      end
    end
  end
end
