require 'stbaldricks/entities/lib/top_level'

module SBF
  module Client
    class EventDonationSummary < SBF::Client::TopLevelEntity
      actions DEFAULT_CRUD_ACTIONS
      blacklist_action :get
      blacklist_action :create
      blacklist_action :update
      blacklist_action :delete

      attr_accessor :amount_raised
      attr_accessor :donations
      attr_accessor :direct_amount_raised
      attr_accessor :direct_donations
    end
  end
end
