require 'stbaldricks/entities/lib/base'

module SBF
  module Client
    class AlternateShippingAddress < SBF::Client::BaseEntity
      module Type
        HOME = 'home'.freeze
        BUSINESS = 'business'.freeze
      end

      attr_accessor :type
      attr_accessor :business_name
      attr_accessor :address1, :address2, :city, :state, :state_name, :zip, :country, :country_name
    end
  end
end
