require 'stbaldricks/entities/lib/cacheable'

module SBF
  module Client
    module Entities
      module DefaultCacheable
        def self.included(klass)
          klass.class_eval do
            include Cacheable
            cache_id_from_hash ->(h) { [h[:id]] }
            cache_id -> { [id] }
          end
        end
      end
    end
  end
end
