require 'stbaldricks/entities/lib/base'

module SBF
  module Client
    class NamePiecesBase < SBF::Client::BaseEntity
      def combined_name
        name = ''
        name += @first_name + ' ' unless @first_name.nil?
        name += @middle_initial + '. ' unless @middle_initial.nil?
        name += @last_name unless @last_name.nil?
        name.strip
      end
    end

    class NamePieces < NamePiecesBase
      attr_accessor :prefix, :first_name, :middle_initial, :last_name, :suffix
    end
  end
end
