# frozen_string_literal: true

module SBF
  module Client
    module PermissionModelType
      NO_TARGET = 'n'
      MEMBERS = 'm'
      EVENT = 'e'
      TEAM = 't'

      @list = {
        NO_TARGET => 'no_target',
        MEMBERS => 'members',
        EVENT => 'event',
        TEAM => 'team'
      }.freeze

      class << self
        attr_reader :list
      end
    end
  end
end
