# frozen_string_literal: true

module SBF
  module Client
    module Province
      ALBERTA = 'Alberta'
      BRITISH_COLUMBIA = 'British Columbia'
      MANITOBA = 'Manitoba'
      NEW_BRUNSWICK = 'New Brunswick'
      NEWFOUNDLAND = 'Newfoundland and Labrador'
      NORTHWEST_TERRITORIES = 'Northwest Territories'
      NOVA_SCOTIA = 'Nova Scotia'
      NUNAVUT = 'Nunavut'
      ONTARIO = 'Ontario'
      PRINCE_EDWARD_ISLAND = 'Prince Edward Island'
      QUEBEC = 'Quebec'
      SASKATCHEWAN = 'Saskatchewan'
      YUKON = 'Yukon'

      @list = {
        ALBERTA => 'AB',
        BRITISH_COLUMBIA => 'BC',
        MANITOBA => 'MB',
        NEW_BRUNSWICK => 'NB',
        NEWFOUNDLAND => 'NL',
        NORTHWEST_TERRITORIES => 'NT',
        NOVA_SCOTIA => 'NS',
        NUNAVUT => 'NU',
        ONTARIO => 'ON',
        PRINCE_EDWARD_ISLAND => 'PE',
        QUEBEC => 'QC',
        SASKATCHEWAN => 'SK',
        YUKON => 'YT'
      }.freeze

      class << self
        attr_reader :list
      end
    end
  end
end
