# frozen_string_literal: true

module SBF
  module Client
    module State
      ALABAMA = 'Alabama'
      ALASKA = 'Alaska'
      AMERICAN_SAMOA = 'American Samoa'
      ARIZONA = 'Arizona'
      ARKANSAS = 'Arkansas'
      ARMED_FORCES_AMERICAS = 'Armed Forces Americas'
      ARMED_FORCES_CANADA = 'Armed Forces Africa/Canada/Europe/Middle East'
      ARMED_FORCES_PACIFIC = 'Armed Forces Pacific'
      CALIFORNIA = 'California'
      COLORADO = 'Colorado'
      CONNECTICUT = 'Connecticut'
      DELAWARE = 'Delaware'
      WASHINGTON_DC = 'D.C.'
      MICRONESIA = 'Federated States of Micronesia'
      FLORIDA = 'Florida'
      GEORGIA = 'Georgia'
      GUAM = 'Guam'
      HAWAII = 'Hawaii'
      IDAHO = 'Idaho'
      ILLINOIS = 'Illinois'
      INDIANA = 'Indiana'
      IOWA = 'Iowa'
      KANSAS = 'Kansas'
      KENTUCKY = 'Kentucky'
      LOUISIANA = 'Louisiana'
      MAINE = 'Maine'
      MARSHALL_ISLANDS = 'Marshall Islands'
      MARYLAND = 'Maryland'
      MASSACHUSETTS = 'Massachusetts'
      MICHIGAN = 'Michigan'
      MINNESOTA = 'Minnesota'
      MISSISSIPPI = 'Mississippi'
      MISSOURI = 'Missouri'
      MONTANA = 'Montana'
      NEBRASKA = 'Nebraska'
      NEVADA = 'Nevada'
      NEW_HAMPSHIRE = 'New Hampshire'
      NEW_JERSEY = 'New Jersey'
      NEW_MEXICO = 'New Mexico'
      NEW_YORK = 'New York'
      NORTH_CAROLINA = 'North Carolina'
      NORTH_DAKOTA = 'North Dakota'
      NORTHERN_MARINA_ISLANDS = 'Northern Marina Islands'
      OHIO = 'Ohio'
      OKLAHOMA = 'Oklahoma'
      OREGON = 'Oregon'
      PALAU = 'Palau'
      PENNSYLVANIA = 'Pennsylvania'
      PUERTO_RICO = 'Puerto Rico'
      RHODE_ISLAND = 'Rhode Island'
      SOUTH_CAROLINA = 'South Carolina'
      SOUTH_DAKOTA = 'South Dakota'
      TENNESSEE = 'Tennessee'
      TEXAS = 'Texas'
      UTAH = 'Utah'
      VERMONT = 'Vermont'
      VIRGIN_ISLANDS = 'Virgin Islands'
      VIRGINIA = 'Virginia'
      WASHINGTON = 'Washington'
      WEST_VIRGINIA = 'West Virginia'
      WICONSIN = 'Wisconsin'
      WYOMING = 'Wyoming'

      @list = {
        ALABAMA => 'AL',
        ALASKA => 'AK',
        AMERICAN_SAMOA => 'AS',
        ARIZONA => 'AZ',
        ARKANSAS => 'AR',
        ARMED_FORCES_AMERICAS => 'AA',
        ARMED_FORCES_CANADA => 'AE',
        ARMED_FORCES_PACIFIC => 'AP',
        CALIFORNIA => 'CA',
        COLORADO => 'CO',
        CONNECTICUT => 'CT',
        DELAWARE => 'DE',
        WASHINGTON_DC => 'DC',
        MICRONESIA => 'FM',
        FLORIDA => 'FL',
        GEORGIA => 'GA',
        GUAM => 'GU',
        HAWAII => 'HI',
        IDAHO => 'ID',
        ILLINOIS => 'IL',
        INDIANA => 'IN',
        IOWA => 'IA',
        KANSAS => 'KS',
        KENTUCKY => 'KY',
        LOUISIANA => 'LA',
        MAINE => 'ME',
        MARSHALL_ISLANDS => 'MH',
        MARYLAND => 'MD',
        MASSACHUSETTS => 'MA',
        MICHIGAN => 'MI',
        MINNESOTA => 'MN',
        MISSISSIPPI => 'MS',
        MISSOURI => 'MO',
        MONTANA => 'MT',
        NEBRASKA => 'NE',
        NEVADA => 'NV',
        NEW_HAMPSHIRE => 'NH',
        NEW_JERSEY => 'NJ',
        NEW_MEXICO => 'NM',
        NEW_YORK => 'NY',
        NORTH_CAROLINA => 'NC',
        NORTH_DAKOTA => 'ND',
        NORTHERN_MARINA_ISLANDS => 'MP',
        OHIO => 'OH',
        OKLAHOMA => 'OK',
        OREGON => 'OR',
        PALAU => 'PW',
        PENNSYLVANIA => 'PA',
        PUERTO_RICO => 'PR',
        RHODE_ISLAND => 'RI',
        SOUTH_CAROLINA => 'SC',
        SOUTH_DAKOTA => 'SD',
        TENNESSEE => 'TN',
        TEXAS => 'TX',
        UTAH => 'UT',
        VERMONT => 'VT',
        VIRGIN_ISLANDS => 'VI',
        VIRGINIA => 'VA',
        WASHINGTON => 'WA',
        WEST_VIRGINIA => 'WV',
        WICONSIN => 'WI',
        WYOMING => 'WY'
      }.freeze

      class << self
        attr_reader :list
      end
    end
  end
end
