class Hash
  def symbolize!
    keys.each do |key|
      unless key.is_a? Symbol
        value = delete(key)
        # rubocop:disable Style/RescueModifier
        self[(key.to_sym rescue key) || key] = value
        # rubocop:enable Style/RescueModifier
      end

      value.symbolize! if value.is_a?(Hash) || value.is_a?(Array)
    end

    self
  end
end
